Complete
One model call with the builder's instructions and no tools: the quick reply of the agent editor. It is not an agent run (no tools, memory or run history).
Request bodyLlmComplete
messagesCompleteMessage[]Requiredat least 1 itemsat most 50 items2 fields
contentstringRequiredat least 1 charactersat most 100000 charactersrolestringRequiredOne ofuserassistant
modelstringRequiredmatches ^[a-z0-9_]{1,40}/[A-Za-z0-9._:/@-]{1,200}$effortstring or nullOne oflowmediumhighxhighmaxfallbacksstring[]at most 3 itemsmax_output_tokensinteger or nullat least 1at most 4000profilestringOne ofstandardprivacyhipaaDefault"standard"systemstringDefault""at most 200000 characterstemperaturenumber or nullat least 0at most 2
Response200
objectstringllm_completioncost_micro_usdintegerkey_ownerstring or nullmodelstring or nullproviderstring or nullroutestring or nullstop_reasonstring or nulltextstringusagemap<string, integer>
Status codes
- 200Successful Response
- 422The request is not valid:
errors[]names each field. - 4XXThe request was refused: the problem says why.
- 5XXThe API could not answer: the problem says why.
curl -X POST "https://api.mydeepagents.com/v1/llm/complete" \
-H "Authorization: Bearer $MDA_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"messages": [
{
"content": "content",
"role": "user"
}
],
"model": "claude-sonnet-5-5"
}'{
"object": "llm_completion",
"cost_micro_usd": 1250000,
"key_owner": "key owner",
"model": "claude-sonnet-5-5",
"provider": "anthropic",
"route": "route",
"stop_reason": null,
"text": "text",
"usage": {
"key": 2
}
}